path: /build/build/nvidia-555-kernel-open-modules-kernel-5.10-555.58.02+1.package.tar.zst
dependencies: []
compilespec:
  steps:
  - eval 'mkdir -p /etc/portage/patches/x11-drivers/nvidia-kernel-modules/ || true'
    && sed -i -e 's|versionator||g'  /var/git/meta-repo/kits/core-kit/eclass/nvidia-driver.eclass
  - anise repo disable mottainai-stable && anise i mottainai-dev
  - rm -vf /var/git/meta-repo/kits/core-gl-kit/x11-drivers/nvidia-drivers/*.ebuild
    && rm -vf /var/git/meta-repo/kits/core-gl-kit/x11-drivers/nvidia-kernel-modules/*.ebuild
    && anise repo update && anise upgrade -y && anise i -y x11-drivers-555/nvidia-drivers
    && anise cleanup && USE="open-kernel" emerge -j ${JOBS} =x11-drivers/nvidia-kernel-modules-555.58.02
    -pv -t
  - |
    USE="open-kernel" emerge -j ${JOBS} =x11-drivers/nvidia-kernel-modules-555.58.02
  - |
    eval 'rm -rf /nvidia-555-kernel-open-modules || true' && mkdir /nvidia-555-kernel-open-modules && \
    luet-portage --dir /nvidia-555-kernel-open-modules x11-drivers/nvidia-kernel-modules
  - for i in /nvidia-555-kernel-open-modules/lib/modules/nvidia-open/555.58.02/5.10.238-macaroni/video/*.ko
    ; do xz -z ${i} ; done
  env:
  - FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox"
  prelude: []
  image: ""
  seed: docker-registry1.mottainai.local:5000/anise-macaroni-funtoo-dev-tree:2a5351f538f54a4154735a43ae3a210313aa7b143e08f7c804a14ecb1efd9646
  package:
    name: nvidia-555-kernel-open-modules
    version: 555.58.02+1
    category: kernel-5.10
    use_flags:
    - open-kernel
    requires:
    - name: kernel
      version: '>=0'
      category: seed-5.10
    annotations:
      kernel_module: true
    buildtimestamp: 2025-06-18 06:50:27.784367646 +0000 UTC m=+624.353460116
    labels:
      emerge.packages: x11-drivers/nvidia-kernel-modules
      kernel.suffix: macaroni
      kernel.type: vanilla
      kernel.version: 5.10.238
      original.package.slot: "555"
      original.package.version: 555.58.02
    treedir: /build/packages
  package_dir: /nvidia-555-kernel-open-modules
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/db/pkg/
  - ^/var/cache/portage/
  - ^/var/git/
  - ^/usr/share/doc/
  - ^/etc/modprobe.d/
  - ^/lib/udev/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/anise-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 5b18a8eb1343df1cea4e1d98527a21aed14ec1befd27b7d84496ae524fcb6073
compressiontype: zstd
files:
- lib/modules/nvidia-open/555.58.02/5.10.238-macaroni/video/nvidia-drm.ko.xz
- lib/modules/nvidia-open/555.58.02/5.10.238-macaroni/video/nvidia-modeset.ko.xz
- lib/modules/nvidia-open/555.58.02/5.10.238-macaroni/video/nvidia-uvm.ko.xz
- lib/modules/nvidia-open/555.58.02/5.10.238-macaroni/video/nvidia.ko.xz
package_cacheimage: ""
runtime:
  name: nvidia-555-kernel-open-modules
  version: 555.58.02+1
  category: kernel-5.10
  use_flags:
  - open-kernel
  requires:
  - name: gpu-configurator
    version: '>=0'
    category: app-admin
  annotations:
    kernel_module: true
  labels:
    emerge.packages: x11-drivers/nvidia-kernel-modules
    kernel.suffix: macaroni
    kernel.type: vanilla
    kernel.version: 5.10.238
    original.package.slot: "555"
    original.package.version: 555.58.02
